package com.winhc.bigdata.spark.ng.change

/**
 * @author: XuJiakai
 * @date: 2021/6/1 16:46
 */
case class NgChangeExtractArgs(project: String = "winhc_ng"
                               , tableName: String
                               , primaryKey: String = "rowkey"
                               , primaryFields: String)


object NgChangeExtractArgs {
  val startArgs = Seq(
    NgChangeExtractArgs(tableName = "company_holder", primaryFields = "holder_id,percent,amount,deleted")
    , NgChangeExtractArgs(tableName = "company_staff", primaryFields = "staff_type,deleted")
    , NgChangeExtractArgs(tableName = "company", primaryKey = "company_id", primaryFields = "name,cate_third_code,county_code,reg_capital_amount,legal_entity_name,legal_entity_id,deleted")
    , NgChangeExtractArgs(tableName = "company_tm", primaryFields = "status")
    , NgChangeExtractArgs(tableName = "company_icp", primaryFields = "domain")
  )
}